/* REXX */
rxload = RxFuncQuery('SysLoadFuncs')
If rxload Then
   Do
      Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
      Call sysloadfuncs
   End
Parse Source . . cmdname
hjpath = Filespec('D', cmdname) || Strip(Filespec('P', cmdname), 'T', '\')
cp = Strip(Value('CLASSPATH', ,'OS2ENVIRONMENT'), 'T', ';')
jhome = SysSearchPath('PATH', 'JAVA.EXE')
jhpath = Filespec('D', jhome) || '\Java11'
If Pos('CLASSES.ZIP', Translate(cp)) = 0 Then
   cp = jhpath || '\lib\classes.zip;' || cp
'JAVA -classpath' cp || ';' || hjpath || '\browser.jar' ,
     '-Dhotjava.home=' || hjpath ,
     '-Djava.home=' || jhpath ,
     'sunw.hotjava.Main'
If rxload Then
   Call SysDropFuncs
Exit 0
